body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.footer {
    margin-top: auto;
}

.footer p {
    font-size: 14px;
}

@media screen and (max-width: 1024px) {
    body {
        font-size: 12px;
    }
    .footer p {
        margin: 0 !important;
        font-size: 12px;
        text-align: center;
        vertical-align: middle;
        line-height: 70px;
    }

    .footer {
        height: 70px;
    }
}

@media screen and (max-width: 768px) {
    #alert {
        width: 50%;
        left: 25%;
        top: 5%;
        margin-top: 0px;
        margin-left: 0px;
    }
}

@media screen and (max-width: 480px) {
    .header {
        height: 73px;
    }

    .header .logo img {
        margin-left: 15px;
        width: 13%;
    }

    .header #logout_btn {
        margin-top: 15px;
        margin-right: 18px;
        font-size: 13px;
        padding: 9px 10px 9px;
    }

    .navi-menu, .navi-menu ul li a {
        height: 50px;
    }

    .navi-menu ul li a span {
        font-size: 12px;
        line-height: 30px;
    }

    .navi-menu ul li a i {
        font-size: 20.5px;
    }

    .navi-menu ul li a {
        padding: 4px 10px;
    }

    .footer p{
        position: unset;
        transform: unset;
        width: 100%;
    }

    #alert {
        width: 90%;
        left: 5%;
        top: 20%;
        margin-top: 0px;
        margin-left: 0px;
    }
}

@media screen and (max-width: 375px) {
    .header .logo img {
        width: 14%;
    }
}

@media screen and (max-width: 320px) {
    .header .logo img {
        width: 16%;
    }
}